1. API Interface
vidu
  • API Guide
    • API Call Method
  • API Interface
    • Image To Video
      POST
    • Reference To Video
      POST
    • Start End To Video
      POST
    • Text To Video
      POST
    • Template
      POST
    • Template Story
      POST
    • Upscale Pro
      POST
    • Lip Sync
      POST
    • Text to Audio
      POST
    • Timing to Audio
      POST
    • Prompt Recommendation
      POST
    • Get Generation
      GET
    • Cancel Generation
      POST
    • Get Account Inf
      GET
    • Reference to Image
      POST
  • Troubleshooting
    • Error Code
    • FAQ
  • Resource Center
    • Additional Tools
    • Technical Support
  1. API Interface

Start End To Video

POST
/ent/v2/start-end2video

Request

Header Params

Body Params application/json

Example
{
    "model": "viduq1",
    "images": [
        "https://prod-ss-images.s3.cn-northwest-1.amazonaws.com.cn/vidu-maas/template/startend2video-1.jpeg",
        "https://prod-ss-images.s3.cn-northwest-1.amazonaws.com.cn/vidu-maas/template/startend2video-2.jpeg"
    ],
    "prompt": "The camera zooms in on the bird, which then flies to the right. The bird flight is smooth and natural, with a red light effect following and surrounding it from behind.",
    "duration": "5",
    "seed": "0",
    "resolution": "1080p",
    "movement_amplitude": "auto",
    "off_peak": "false"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'http://api.vidu.com/ent/v2/start-end2video' \
--header 'Authorization: Token {your api key}' \
--header 'Content-Type: application/json' \
--data '{
    "model": "viduq1",
    "images": [
        "https://prod-ss-images.s3.cn-northwest-1.amazonaws.com.cn/vidu-maas/template/startend2video-1.jpeg",
        "https://prod-ss-images.s3.cn-northwest-1.amazonaws.com.cn/vidu-maas/template/startend2video-2.jpeg"
    ],
    "prompt": "The camera zooms in on the bird, which then flies to the right. The bird flight is smooth and natural, with a red light effect following and surrounding it from behind.",
    "duration": "5",
    "seed": "0",
    "resolution": "1080p",
    "movement_amplitude": "auto",
    "off_peak": "false"
}'

Responses

🟢200成功
application/json
Bodyapplication/json

Example
{
    "task_id": "your_task_id_here",
    "state": "created",
    "model": "viduq1",
    "images": [
        "https://prod-ss-images.s3.cn-northwest-1.amazonaws.com.cn/vidu-maas/template/startend2video-1.jpeg",
        "https://prod-ss-images.s3.cn-northwest-1.amazonaws.com.cn/vidu-maas/template/startend2video-2.jpeg"
    ],
    "prompt": "The camera zooms in on the bird, which then flies to the right. The bird flight is smooth and natural, with a red light effect following and surrounding it from behind.",
    "duration": 5,
    "seed": random_number,
    "resolution": "1080p",
    "movement_amplitude": "auto",
    "off_peak": "false",
    "credits": credits_number,
    "created_at": "2025-01-01T15:41:31.968916Z"
}
Modified at 2026-01-12 03:50:51
Previous
Reference To Video
Next
Text To Video
Built with